Bug 1419355 - Anet is excluded from ppc64le.
Summary: Anet is excluded from ppc64le.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anet
Version: 26
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Björn Persson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2017-02-05 21:05 UTC by Björn Persson
Modified: 2018-03-03 20:01 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-03 20:01:41 UTC


Attachments (Terms of Use)

Description Björn Persson 2017-02-05 21:05:53 UTC
Anet is excluded from ppc64le because two tests in its test suite fail:

  Tests for UDP processing:
   Validate UDP checksum - UDP header checksum 32185 invalid, should be 33715 ERROR    0.000024000s
    raised ANET.UDP.INVALID_UDP_PACKET : UDP header checksum 32185 invalid, should be 33715

  Tests for IP processing:
   Validate IP packet - Invalid IHL: 4             ERROR    0.000025000s
    raised ANET.IPV4.INVALID_IP_PACKET : Invalid IHL: 4

I suspect an endianness bug in Libgnat, an incorrect value of System.Default_Bit_Order (in /usr/lib/gcc/*/*/adainclude/system.ads), but more investigation is needed to confirm this.

Comment 1 Fedora End Of Life 2017-02-28 11:11:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Björn Persson 2018-03-03 20:01:41 UTC
This seems to be fixed in GCC 8.


Note You need to log in before you can comment on or make changes to this bug.